<?PHP
	class m_others extends CI_Model{
		
		public function __construct()
		{
			parent::__construct();
		}
		
		function insert($data)
		{
			$this->db->insert('others',$data);
		}
		
		function showList()
		{
			$query = $this->db->get('others');
			return $query->result_array();
		}
		
		function update($id,$data)
		{
			$this->db->where('othersId',$id);
			$this->db->update('others',$data);
		}
		
		function showDetail($id)
		{
			$query = $this->db->get_where('others',array('othersId'=> $id));
			return $query->row_array();
		}
		
		function delete($id)
		{
			$this->db->where('othersId',$id);
			$this->db->delete('others');
		}
	}
?>